package com.miaxis.app.area.domain;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
/**
 * 区域编码对象 area_code
 *
 * @author zhangbin
 * @date 2020-12-28
 */
@Data
@TableName("area_code")
@ApiModel(value = "AreaCode", description = "区域编码对象 area_code")
public class AreaCode extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** 区域编码 */
    @Excel(name = "区域编码")
    @TableField("code")
    @ApiModelProperty(value = "区域编码")
    private String code;

    /** 区域名称 */
    @Excel(name = "区域名称")
    @TableField("name")
    @ApiModelProperty(value = "区域名称")
    private String name;

    /** 类型 */
    @Excel(name = "类型")
    @TableField("type")
    @ApiModelProperty(value = "类型")
    private String type;

    /** $column.columnComment */
    @Excel(name = "类型")
    @TableField("leaf")
    @ApiModelProperty(value = "$column.columnComment")
    private String leaf;

    /** 父编码 */
    @Excel(name = "父编码")
    @TableField("parent_code")
    @ApiModelProperty(value = "父编码")
    private String parentCode;

    public void setCode(String code){
        this.code = code;
    }

    public String getCode(){
        return code;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }
    public void setType(String type){
        this.type = type;
    }

    public String getType(){
        return type;
    }
    public void setLeaf(String leaf){
        this.leaf = leaf;
    }

    public String getLeaf(){
        return leaf;
    }
    public void setParentCode(String parentCode){
        this.parentCode = parentCode;
    }

    public String getParentCode(){
        return parentCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("code", getCode())
            .append("name", getName())
            .append("type", getType())
            .append("leaf", getLeaf())
            .append("parentCode", getParentCode())
            .toString();
    }
}
