package com.miaxis.app.area.service;

import java.util.List;
import com.miaxis.app.area.domain.AreaCode;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 区域编码Service接口
 * 
 * @author zhangbin
 * @date 2020-12-28
 */
public interface IAreaCodeService extends IService<AreaCode>{
    /**
     * 查询区域编码
     * 
     * @param code 区域编码ID
     * @return 区域编码
     */
    public AreaCode selectAreaCodeById(String code);

    /**
     * 查询区域编码列表
     * 
     * @param areaCode 区域编码
     * @return 区域编码集合
     */
    public List<AreaCode> selectAreaCodeList(AreaCode areaCode);

    /**
     * 新增区域编码
     * 
     * @param areaCode 区域编码
     * @return 结果
     */
    public int insertAreaCode(AreaCode areaCode);

    /**
     * 修改区域编码
     * 
     * @param areaCode 区域编码
     * @return 结果
     */
    public int updateAreaCode(AreaCode areaCode);

    /**
     * 批量删除区域编码
     * 
     * @param codes 需要删除的区域编码ID
     * @return 结果
     */
    public int deleteAreaCodeByIds(String[] codes);

    /**
     * 删除区域编码信息
     * 
     * @param code 区域编码ID
     * @return 结果
     */
    public int deleteAreaCodeById(String code);
}
